Subject: bug#35389: 27.0.50; [PATCH] Emacs on macOS sets mouse-wheel variables directly

From: Alan Third <[email-masked]>
Date: Sat, 11 May 2019 23:50:21 +0100

On Sat, May 11, 2019 at 01:58:39PM +0300, Eli Zaretskii wrote:
> > From: Robert Pluim <[email-masked]>
> > Cc: Alan Third <[email-masked]>,  [email-masked],  [email-masked]
> > Date: Sat, 11 May 2019 11:54:13 +0200
> > 
> >     Eli> Could there be some internal variable, either in Lisp or in
> >     Eli> C, which we then would use in the default value, as some
> >     Eli> unit, instead of just number of wheel turns and number of
> >     Eli> lines?  Then we could set that internal variable to different
> >     Eli> values, but keep the customization the same in those
> >     Eli> internally-defined units.  I think that would be somewhat
> >     Eli> cleaner, if possible and reasonable, because we'd be able to
> >     Eli> document the customization in these units in a
> >     Eli> platform-independent way.
> > 
> > I canʼt think of a single variable you could use to transform
> > 
> > (5 ((shift) . 1) ((control) . nil)))
> > 
> > to
> > 
> > (1 ((shift) . 5) ((control)))
> 
> What is the logic behind the value proposed for macOS 10.7, though?
> It sounds like Shift will _increase_ the scrolling amount instead of
> decreasing it in the default value?  What is the reason for such
> reversal?

I can’t recall... I think it was just something somebody provided as
an option and nobody disagreed.

Some of the previous discussion is available here:

http://emacs.1067599.n8.nabble.com/Smoother-macOS-touchpad-scrolling-td435666.html

-- 
Alan Third